⚙️ Services
Service catalog and offerings management
Get a paginated list of services with optional filters
Lightweight serializer for service lists.
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
active- Activeinactive- Inactivediscontinued- Discontinued
Unauthorized
Forbidden
GET /api/v1.0/organisation/{org_uid}/services/ HTTP/1.1
Host: skhokho.ai
Accept: */*
[
{
"unique_id": "text",
"name": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"effective_rate": "text",
"billing_cycle": "one_time",
"status": "active",
"date_created": "2026-01-01T00:00:00.000Z"
}
]Create a new service. service_type is required and must be one of: hourly, fixed, subscription, project, consultation, maintenance, or other.
Full serializer for Service creation and updates. Handles translatable fields correctly.
Service type: hourly, fixed, subscription, project, consultation, maintenance, or other
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Detailed serializer for single service retrieval.
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Bad Request
Unauthorized
Forbidden
POST /api/v1.0/organisation/{org_uid}/services/create/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text"
}{
"unique_id": "text",
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"effective_rate": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text",
"created_by": {
"unique_id": "text",
"full_name": "text"
},
"date_created": "2026-01-01T00:00:00.000Z",
"last_updated": "2026-01-01T00:00:00.000Z"
}Get detailed information about a specific service
Detailed serializer for single service retrieval.
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Unauthorized
Forbidden
Not Found
GET /api/v1.0/organisation/{org_uid}/services/{unique_id}/ HTTP/1.1
Host: skhokho.ai
Accept: */*
{
"unique_id": "text",
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"effective_rate": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text",
"created_by": {
"unique_id": "text",
"full_name": "text"
},
"date_created": "2026-01-01T00:00:00.000Z",
"last_updated": "2026-01-01T00:00:00.000Z"
}Update service information (PUT for full update, PATCH for partial)
Full serializer for Service creation and updates. Handles translatable fields correctly.
Service type: hourly, fixed, subscription, project, consultation, maintenance, or other
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Detailed serializer for single service retrieval.
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Bad Request
Unauthorized
Forbidden
Not Found
PUT /api/v1.0/organisation/{org_uid}/services/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text"
}{
"unique_id": "text",
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"effective_rate": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text",
"created_by": {
"unique_id": "text",
"full_name": "text"
},
"date_created": "2026-01-01T00:00:00.000Z",
"last_updated": "2026-01-01T00:00:00.000Z"
}Update service information (PUT for full update, PATCH for partial)
Full serializer for Service creation and updates. Handles translatable fields correctly.
Service type: hourly, fixed, subscription, project, consultation, maintenance, or other
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Detailed serializer for single service retrieval.
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Bad Request
Unauthorized
Forbidden
Not Found
PATCH /api/v1.0/organisation/{org_uid}/services/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text"
}{
"unique_id": "text",
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"effective_rate": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text",
"created_by": {
"unique_id": "text",
"full_name": "text"
},
"date_created": "2026-01-01T00:00:00.000Z",
"last_updated": "2026-01-01T00:00:00.000Z"
}Perform actions on a service (duplicate, deactivate). Uses query parameters.
Action to perform: duplicate or deactivate
Detailed serializer for single service retrieval.
hourly- Hourly Servicefixed- Fixed Price Servicesubscription- Subscription Serviceproject- Project-based Serviceconsultation- Consultation Servicemaintenance- Maintenance Serviceother- Other
Rate per hour for hourly services
^-?\d{0,13}(?:\.\d{0,2})?$Fixed price for the service
^-?\d{0,13}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$one_time- One Timehourly- Hourlydaily- Dailyweekly- Weeklymonthly- Monthlyquarterly- Quarterlyannually- Annually
Estimated time to complete the service
^-?\d{0,6}(?:\.\d{0,2})?$active- Activeinactive- Inactivediscontinued- Discontinued
Bad Request - Invalid action
Unauthorized
Forbidden
Not Found
GET /api/v1.0/organisation/{org_uid}/services/{unique_id}/action/?action=deactivate HTTP/1.1
Host: skhokho.ai
Accept: */*
{
"unique_id": "text",
"name": "text",
"description": "text",
"short_description": "text",
"service_code": "text",
"service_type": "hourly",
"category": "text",
"hourly_rate": "text",
"fixed_price": "text",
"effective_rate": "text",
"billing_cycle": "one_time",
"estimated_duration_hours": "text",
"status": "active",
"requirements": "text",
"created_by": {
"unique_id": "text",
"full_name": "text"
},
"date_created": "2026-01-01T00:00:00.000Z",
"last_updated": "2026-01-01T00:00:00.000Z"
}Last updated
